Update a business

patch/businesses/{fp_bid}
External ID
Updates basic details for a business. To update vault data, see the APIs under the Business vault section.

Request

Path parameters

fp_bid·

string

Body

external_id·

optional string

Optionally, the new external ID for the entity. Can only be composed of alphanumeric characters, underscores, hyphens, and periods. If an entity with this external ID already exists, returns a 400.

Response

external_id·

optional string

id·

string

sandbox_id·

optional string

Only populated for users created in sandbox mode.
PATCH /businesses/{fp_bid}
1curl -X PATCH https://api.onefootprint.com/businesses/{fp_bid} \
2  -u sk_test_xxxxx: \
3  -d '{
4    "external_id": "0cece047-151f-4ac4-9782-dc27691fd766"
5  }'
Response example
{
  "external_id": "0cece047-151f-4ac4-9782-dc27691fd766",
  "id": "fp_id_7p793EF07xKXHqAeg5VGPj",
  "sandbox_id": "WH8RkRCDSxCfH"
}